	const FileShare= uni.requireNativePlugin('life-FileShare');//分享文件
	export const anyShareFile = (e) =>{
		console.log(e,'e')
		if(!e.url) return 'url缺失';	
		let url = e.url;
		let fileType = e.fileType || 'SYSTEM';
		let name = e.name || '文件';
		let aa = name+"."+ url.slice(url.lastIndexOf(".") + 1).toLowerCase();//获取该文件类型
		//下面使用这个下载方式，亲测，如果用uniapp自身的ios中文乱码，下面可以重命名不会乱码，分享就是FileShare调用
		    var dtask = plus.downloader.createDownload(url,  {filename:"_doc/pdf/"+aa}, function(d, status){
		                        // 下载完成
		                if(status == 200){                          
		                    FileShare.render({
		                        type:fileType,//QQ为QQ，微信为WX，系统默认是SYSTEM，不填写默认SYSTEM
		                        filePath:plus.io.convertLocalFileSystemURL(d.filename),
		                }, result => {
							
		                }
		                );
		            } else {
		                console.log("Download failed: " + status); 
		            }  
		    });
		dtask.start();
	}